/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DTO;

import entity.MapValues;

/**
 *
 * @author install1
 */
public class MapBoardDTO {

    private String steamID;
    private String name;
    private int mapPoint;
    private int mapTimeMinutes;
    private float mapTimeSeconds;
    private int position;

    public MapBoardDTO() {
    }

    public MapBoardDTO(MapValues mapvalue, String name) {
        this.steamID = mapvalue.getPlayerSteamID();
        this.name = name;
        this.mapPoint = mapvalue.getMapPoints();
        this.mapTimeMinutes = (int) Math.floor(mapvalue.getTime());
        this.mapTimeSeconds = (float) (mapvalue.getTime() - Math.floor(mapvalue.getTime())) * 100;
        this.position = mapvalue.getPosition();
    }

    public String getSteamID() {
        return steamID;
    }

    public void setSteamID(String steamID) {
        this.steamID = steamID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getMapPoint() {
        return mapPoint;
    }

    public void setMapPoint(int mapPoint) {
        this.mapPoint = mapPoint;
    }

    public int getMapTimeMinutes() {
        return mapTimeMinutes;
    }

    public void setMapTimeMinutes(int mapTimeMinutes) {
        this.mapTimeMinutes = mapTimeMinutes;
    }

    public float getMapTimeSeconds() {
        return mapTimeSeconds;
    }

    public void setMapTimeSeconds(float mapTimeSeconds) {
        this.mapTimeSeconds = mapTimeSeconds;
    }

    public int getPosition() {
        return position;
    }

    public void setPosition(int position) {
        this.position = position;
    }

}
