/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DataMapper;

import com.google.common.collect.MapMaker;
import entity.MapBoard;
import entity.MapValues;
import entity.Player;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Map;
import java.util.concurrent.ConcurrentMap;

/**
 *
 * @author install1
 */
public class DataMapperCalls {

    public static Map.Entry<Collection<Player>, Collection<MapBoard>> getAllValues() {
        Collection<Player> allPlayers = new ArrayList();
        //add mapvalues
        ConcurrentMap<String, MapBoard> allMapBoards = new MapMaker().concurrencyLevel(4).makeMap();
        String sqlQuery = "SELECT * FROM `zetimer_table`";
        int limitfetch = 0;
        try (Connection con = DBCPDataSource.getConnection()) {
            try (PreparedStatement ps = con.prepareStatement(sqlQuery)) {
                try (ResultSet result = ps.executeQuery()) {
                    int fetchSize = result.getMetaData().getColumnCount();
                    while (result.next() && limitfetch < 25) {
                        int timesCounter = 0;
                        Player player = new Player(result.getString(1), result.getString(2));
                        int i = 3;
                        while (i < fetchSize) {
                            String columnLabel = result.getMetaData().getColumnLabel(i);
                            if (!allMapBoards.keySet().contains(columnLabel)) {
                                allMapBoards.put(columnLabel, new MapBoard(columnLabel));
                            }
                            double specificDouble = result.getDouble(i);
                            if (specificDouble > 0.000) {
                                timesCounter++;
                                MapValues mapValue = new MapValues();
                                mapValue.setPlayerSteamID(player);
                                mapValue.setTime((float) specificDouble);
                                allMapBoards.get(columnLabel).getMapvalues().add(mapValue);
                            }
                            i++;
                        }
                        player.setTimesCount(timesCounter);
                        allPlayers.add(player);
                        limitfetch++;
                    }
                }
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }
        Map.Entry<Collection<Player>, Collection<MapBoard>> entry = new AbstractMap.SimpleEntry(allPlayers, allMapBoards.values());
        return entry;
    }

}
