/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DTO;

import entity.Player;
import static facade.Facade.convertSteamIdToCommunityId;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author install1
 */
public class PlayerDTO {

    private String steamID64;
    private String steamID;
    private String name;
    private String Avatar;
    private int Rank;
    private int PlayerPoints;
    private int Times;
    private List<Integer> UrlBanners = new ArrayList();

    public PlayerDTO(String steamID, String name, String Avatar, int Rank, int PlayerPoints, int Times) {
        this.steamID = steamID;
        this.name = name;
        this.Avatar = Avatar;
        this.Rank = Rank;
        this.PlayerPoints = PlayerPoints;
        this.Times = Times;
    }

    public PlayerDTO() {
    }

    public PlayerDTO(Player player) {
        this.steamID = player.getSteamID();
        this.steamID64 = String.valueOf(convertSteamIdToCommunityId(player.getSteamID()));
        this.name = player.getName();
        this.Avatar = player.getAvatar();
        this.Rank = player.getRank();
        this.PlayerPoints = player.getPlayerPoints();
        this.Times = player.getTimesCount();
    }
}
